TIX-REPOSITORY(8)

NAME
tix-repository - manage a tix repository

SYNOPSIS
tix-repository [--generation=level] metadata repository

DESCRIPTION
tix-repository prepares a tix repository for publication with the appropriate release metadata.

A top-level release directory contains the sha256sum file, along with the repository directory with per-platform repository subdirectories named after the platform triplets.

A tix release is prepared for publication by creating the directory structure, populating the per-platform repository/$platform subdirectories with the .tix.tar.xz and .version files produced by tix-port(8), and running the tix-repository metadata command on each platform repository.

The first operand selects a command to execute:

metadata
    Generate metadata files in the per-platform repository subdirectory:
    •   dependencies.list
    •   manifest.list
    •   packages.list
    •   renames.list
    •   sets.list
    •   sha256sum

The options are as follows:

--generation=generation
    Select tix metadata generation level (Default: 3)

EXIT STATUS
tix-repository will exit 0 on success and non-zero otherwise.

SEE ALSO
port(5), tix(8), tix-build(8), tix-collection(8), tix-install(8), tix-port(8)

HISTORY
tix-repository originally appeared in Sortix 1.1.